Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-gtk-4.0/cma_fe.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions | Variables
cma_fe.c File Reference
`#include <gdk/gdkkeysyms.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "mem.h"`
`#include "support.h"`
`#include "events.h"`
`#include "game.h"`
`#include "chatline_g.h"`
`#include "citydlg_g.h"`
`#include "client_main.h"`
`#include "cma_fec.h"`
`#include "messagewin_g.h"`
`#include "options.h"`
`#include "cityrep.h"`
`#include "dialogs.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "helpdlg.h"`
`#include "inputdlg.h"`
`#include "cma_fe.h"`
`#include "speclist.h"`

Go to the source code of this file.

## Macros

#define | BUFFER_SIZE 64
#define | SPECLIST_TAG dialog
#define | SPECLIST_TYPE struct cma_dialog
#define | dialog_list_iterate(dialoglist, pdialog) TYPED_LIST_ITERATE(struct cma_dialog, dialoglist, pdialog)
#define | dialog_list_iterate_end LIST_ITERATE_END

## Functions

static struct cma_dialog * | get_cma_dialog (struct city *pcity)
static void | update_cma_preset_list (struct cma_dialog *pdialog)
static gboolean | cma_preset_key_pressed (GtkEventControllerKey *controller, guint keyval, guint keycode, GdkModifierType state, gpointer data)
static void | cma_del_preset_callback (GtkWidget *w, gpointer data)
static void | cma_preset_remove (struct cma_dialog *pdialog, int preset_index)
static void | cma_preset_remove_response (GtkWidget *w, gint response, gpointer data)
static void | cma_add_preset_callback (GtkWidget *w, gpointer data)
static void | cma_preset_add_popup_callback (gpointer data, gint response, const char *input)
static void | cma_active_callback (GtkWidget *w, gpointer data)
static void | cma_activate_preset_callback (GtkTreeView *view, GtkTreePath *path, GtkTreeViewColumn *col, gpointer data)
static void | hscale_changed (GtkWidget *get, gpointer data)
static void | set_hscales (const struct cm_parameter *const parameter, struct cma_dialog *pdialog)
void | cma_fe_init (void)
void | cma_fe_done (void)
void | close_cma_dialog (struct city *pcity)
static void | cma_dialog_destroy_callback (GtkWidget *w, gpointer data)
static gboolean | button_press_callback (GtkGestureClick *gesture, int n_press, double x, double y)
static void | help_callback (GtkWidget *w, gpointer data)
static void | cell_data_func (GtkTreeViewColumn *col, GtkCellRenderer *cell, GtkTreeModel *model, GtkTreeIter *it, gpointer data)
struct cma_dialog * | create_cma_dialog (struct city *pcity, bool tiny)
void | refresh_cma_dialog (struct city *pcity, enum cma_refresh refresh)

## Variables

static struct dialog_list * | dialog_list
static int | allow_refreshes = 1

## Macro Definition Documentation

## ◆ BUFFER_SIZE

#define BUFFER_SIZE 64

Definition at line 48 of file cma_fe.c.

## ◆ dialog_list_iterate

#define dialog_list_iterate | ( |  | dialoglist,
|  |  | pdialog
| ) |  | TYPED_LIST_ITERATE(struct cma_dialog, dialoglist, pdialog)

Definition at line 54 of file cma_fe.c.

## ◆ dialog_list_iterate_end

#define dialog_list_iterate_end LIST_ITERATE_END

Definition at line 56 of file cma_fe.c.

## ◆ SPECLIST_TAG

#define SPECLIST_TAG dialog

Definition at line 50 of file cma_fe.c.

## ◆ SPECLIST_TYPE

#define SPECLIST_TYPE struct cma_dialog

Definition at line 51 of file cma_fe.c.

## Function Documentation

## ◆ button_press_callback()

static gboolean button_press_callback | ( | GtkGestureClick * | gesture,
|  | int | n_press,
|  | double | x,
|  | double | y
| ) |  |

static

User has pressed button in cma dialog

Definition at line 146 of file cma_fe.c.

## ◆ cell_data_func()

static void cell_data_func | ( | GtkTreeViewColumn * | col,
|  | GtkCellRenderer * | cell,
|  | GtkTreeModel * | model,
|  | GtkTreeIter * | it,
|  | gpointer | data
| ) |  |

static

Cell data function for cma dialog

Definition at line 184 of file cma_fe.c.

## ◆ close_cma_dialog()

void close_cma_dialog | ( | struct city * | pcity | ) |

only called when the city dialog is closed.

Definition at line 105 of file cma_fe.c.

## ◆ cma_activate_preset_callback()

static void cma_activate_preset_callback | ( | GtkTreeView * | view,
|  | GtkTreePath * | path,
|  | GtkTreeViewColumn * | col,
|  | gpointer | data
| ) |  |

static

Callback for selecting a preset from the preset view

Definition at line 561 of file cma_fe.c.

## ◆ cma_active_callback()

static void cma_active_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Activates/deactivates agent control.

Definition at line 721 of file cma_fe.c.

## ◆ cma_add_preset_callback()

static void cma_add_preset_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Pops up a dialog to allow to name your new preset

Definition at line 585 of file cma_fe.c.

## ◆ cma_del_preset_callback()

static void cma_del_preset_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Callback for del_preset

Definition at line 660 of file cma_fe.c.

## ◆ cma_dialog_destroy_callback()

static void cma_dialog_destroy_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Destroy cma dialog

Definition at line 121 of file cma_fe.c.

## ◆ cma_fe_done()

void cma_fe_done | ( | void |  | ) |

Free resources allocated for cma front end system

Definition at line 97 of file cma_fe.c.

## ◆ cma_fe_init()

void cma_fe_init | ( | void |  | ) |

Initialize cma front end system

Definition at line 89 of file cma_fe.c.

## ◆ cma_preset_add_popup_callback()

static void cma_preset_add_popup_callback | ( | gpointer | data,
|  | gint | response,
|  | const char * | input
| ) |  |

static

Callback for the add_preset popup

Definition at line 608 of file cma_fe.c.

## ◆ cma_preset_key_pressed()

static gboolean cma_preset_key_pressed | ( | GtkEventControllerKey * | controller,
|  | guint | keyval,
|  | guint | keycode,
|  | GdkModifierType | state,
|  | gpointer | data
| ) |  |

static

Key pressed in preset list

Definition at line 632 of file cma_fe.c.

Referenced by create_cma_dialog().

## ◆ cma_preset_remove()

static void cma_preset_remove | ( | struct cma_dialog * | pdialog,
|  | int | preset_index
| ) |  |

static

Pops up a dialog to remove a preset

Definition at line 675 of file cma_fe.c.

## ◆ cma_preset_remove_response()

static void cma_preset_remove_response | ( | GtkWidget * | w,
|  | gint | response,
|  | gpointer | data
| ) |  |

static

Callback for the remove_preset popup

Definition at line 700 of file cma_fe.c.

## ◆ create_cma_dialog()

struct cma_dialog * create_cma_dialog | ( | struct city * | pcity,
|  | bool | tiny
| ) |  |

Instantiates a new struct for each city_dialog window that is open.

Definition at line 220 of file cma_fe.c.

## ◆ get_cma_dialog()

struct cma_dialog * get_cma_dialog | ( | struct city * | pcity | ) |

static

Return the cma_dialog for a given city.

Definition at line 132 of file cma_fe.c.

## ◆ help_callback()

static void help_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

User has requested help

Definition at line 176 of file cma_fe.c.

## ◆ hscale_changed()

static void hscale_changed | ( | GtkWidget * | get,
|  | gpointer | data
| ) |  |

static

Callback if we moved the sliders.

Definition at line 761 of file cma_fe.c.

## ◆ refresh_cma_dialog()

void refresh_cma_dialog | ( | struct city * | pcity,
|  | enum cma_refresh | refresh
| ) |  |

Refreshes the cma dialog

Definition at line 488 of file cma_fe.c.

## ◆ set_hscales()

static void set_hscales | ( | const struct cm_parameter *const | parameter,
|  | struct cma_dialog * | pdialog
| ) |  |

static

Called to adjust the sliders when a preset is selected notice that we don't want to call update_result here.

Definition at line 740 of file cma_fe.c.

## ◆ update_cma_preset_list()

static void update_cma_preset_list | ( | struct cma_dialog * | pdialog | ) |

static

Fills in the preset list

Definition at line 539 of file cma_fe.c.

## Variable Documentation

## ◆ allow_refreshes

int allow_refreshes = 1

static

Definition at line 60 of file cma_fe.c.

## ◆ dialog_list

struct dialog_list* dialog_list

static

Definition at line 58 of file cma_fe.c.